Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [CDO] java.lang.IllegalArgumentException: id instanceof CDOIDTemp
[CDO] java.lang.IllegalArgumentException: id instanceof CDOIDTemp [message #638583] Thu, 11 November 2010 16:55 Go to next message
dloose  is currently offline dloose Friend
Messages: 5
Registered: August 2010
Junior Member
Hi,

I'm trying to commit a pretty simple object to a DBStore, but I keep seeing this error:

org.eclipse.net4j.util.transaction.TransactionException: Rollback in DBStore: java.lang.IllegalArgumentException: id instanceof CDOIDTemp

It's the same error in this bug report: https://bugs.eclipse.org/bugs/show_bug.cgi?id=302838

The bug's status is NEW, but comment #10 makes it sound as though the problem has been fixed in CDO 3.0.1. I'm currently using 2.0.0, but I'm willing to upgrade. The only problem is that all of the pointers to 3.0.1 seem to be out of date.

Can someone point me to an update site that has CDO version 3.0.1?

Thanks!
Re: [CDO] java.lang.IllegalArgumentException: id instanceof CDOIDTemp [message #638601 is a reply to message #638583] Thu, 11 November 2010 17:54 Go to previous messageGo to next message
Heiko Ahlig is currently offline Heiko AhligFriend
Messages: 62
Registered: July 2009
Member
Hi dloose,

you can follow this small article:

http://wiki.eclipse.org/Install_CDO_3.0_Features%2C_which_ar e_not_contained_at_the_Eclipse_3.6_%28Helios%29_Simultaneous _Release

Thre you should find all what you need.



Am 11.11.2010 17:55, schrieb dloose:
> Hi,
>
> I'm trying to commit a pretty simple object to a DBStore, but I keep
> seeing this error:
>
> org.eclipse.net4j.util.transaction.TransactionException: Rollback in
> DBStore: java.lang.IllegalArgumentException: id instanceof CDOIDTemp
>
> It's the same error in this bug report:
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=302838
>
> The bug's status is NEW, but comment #10 makes it sound as though the
> problem has been fixed in CDO 3.0.1. I'm currently using 2.0.0, but I'm
> willing to upgrade. The only problem is that all of the pointers to
> 3.0.1 seem to be out of date.
>
> Can someone point me to an update site that has CDO version 3.0.1?
>
> Thanks!
Re: [CDO] java.lang.IllegalArgumentException: id instanceof CDOIDTemp [message #638864 is a reply to message #638601] Fri, 12 November 2010 19:50 Go to previous messageGo to next message
dloose  is currently offline dloose Friend
Messages: 5
Registered: August 2010
Junior Member
I see, thanks. I found that URL before but I didn't notice that there were a few 3.0.1 jars mixed in there.

I'm adding CDO to a project that has an existing ant build and a maven-like SVN repository that stores all of the 3rd party dependencies. The ant build is designed to pull the dependencies from the repository. I can just dump the update site jars in the right place, but our standard practice is to put the archived (zip, tar, etc) distribution file in the repository as well. Don't ask Smile

This works fine for everything but CDO & Net4J because there don't seem to be any archive files for version 3 of those packages.
Re: [CDO] java.lang.IllegalArgumentException: id instanceof CDOIDTemp [message #638915 is a reply to message #638864] Sat, 13 November 2010 07:19 Go to previous message
Eike Stepper is currently online Eike StepperFriend
Messages: 6447
Registered: July 2009
Senior Member
Am 12.11.2010 20:50, schrieb dloose:
> I see, thanks. I found that URL before but I didn't notice that there were a few 3.0.1 jars mixed in there.
>
> I'm adding CDO to a project that has an existing ant build and a maven-like SVN repository that stores all of the 3rd party dependencies. The ant build is designed to pull the dependencies from the repository. I can just dump the update site jars in the right place, but our standard practice is to put the archived (zip, tar, etc) distribution file in the repository as well. Don't ask :)
>
> This works fine for everything but CDO & Net4J because there don't seem to be any archive files for version 3 of those packages.
Sorry, we've stopped shipping ZIPs a while ago ;-(

Cheers
/Eike

----
http://www.esc-net.de
http://thegordian.blogspot.com
http://twitter.com/eikestepper


Previous Topic:Re: Teneo 1.0.1 does not support Lazy-Loading of Many-to-One and One-to-One
Next Topic:[Teneo] Latest build depends on Hibernate 3.6, introducing binary incompatability
Goto Forum:
  


Current Time: Thu Oct 24 06:07:50 GMT 2019

Powered by FUDForum. Page generated in 0.02407 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top